LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 06-12-2008, 02:18 PM   #1
adilsiv
LQ Newbie
 
Registered: Jun 2008
Posts: 14

Rep: Reputation: 0
Package Manager in not working


Hi All,

I can't run my Package Manager window from ADD REMOVE/SOFTWARE from Applications(menu).

ERROR MESSAGE 'Can't file RHN CA file:\usr\share\rhn\RHN-ORG-TRUSTED-SSL-CERT'
WHILE TRYING TO RUN ADD REMOVE/SOFTWARE FROM APPLICATIONS(MENU).

when I ran as a root user this command rpm -qa gpg-pubkey*

I am not getting any output???

please anybody help me to find a solution for it.

Siv
 
Old 06-12-2008, 02:33 PM   #2
adilsiv
LQ Newbie
 
Registered: Jun 2008
Posts: 14

Original Poster
Rep: Reputation: 0
Exception Occurred

---------this is the output when I click ADD/REMOVE SOFTWARE------

Component: pirut
Summary: TB3518121c rpcServer.py:168:getServer:SSLCertificateFileNotFound: ERROR: can not find RHNS CA file: /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT

Traceback (most recent call last):
File "/usr/sbin/pirut", line 490, in ?
main()
File "/usr/sbin/pirut", line 483, in main
pm = PackageManager(options.config, options.onlyrepo)
File "/usr/sbin/pirut", line 67, in __init__
GraphicalYumBase.__init__(self, False, config)
File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 137, in __init__
plugin_types=(yum.plugins.TYPE_CORE,))
File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 118, in doConfigSetup
errorlevel=errorlevel)
File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 183, in _getConfig
self.plugins.run('init')
File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 169, in run
func(conduitcls(self, self.base, conf, **kwargs))
File "/usr/lib/yum-plugins/rhnplugin.py", line 109, in init_hook
login_info = up2dateAuth.getLoginInfo()
File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 211, in getLoginInfo
login()
File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 162, in login
server = rhnserver.RhnServer()
File "/usr/share/rhn/up2date_client/rhnserver.py", line 147, in __init__
self._server = rpcServer.getServer()
File "/usr/share/rhn/up2date_client/rpcServer.py", line 168, in getServer
raise up2dateErrors.SSLCertificateFileNotFound(msg)
SSLCertificateFileNotFound: ERROR: can not find RHNS CA file: /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT

Local variables in innermost frame:
lang: en_US
rhns_ca_cert: /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT
log: <up2date_client.up2dateLog.Log instance at 0x97389ec>
proxyUser: None
cfg: <up2date_client.config.Config instance at 0x973814c>
ca: ['/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT']
rhns_ca_certs: ['/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT']
proxyPassword: None
proxyHost: None
s: <RetryServer for rhn.redhat.com/XMLRPC>
refreshCallback: None
serverUrls: ['https://rhn.redhat.com/XMLRPC']
env: LANG
msg: ERROR: can not find RHNS CA file: /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT
serverList: <up2date_client.rpcServer.ServerList instance at 0x97388ec>
 
Old 06-12-2008, 03:05 PM   #3
lazlow
Senior Member
 
Registered: Jan 2006
Posts: 4,362

Rep: Reputation: 171Reputation: 171
It might help if you gave us some base information. What distro, version, arch, are you running (ex. F8-64bit)? It would also help if you told us what repos you are using.

Last edited by lazlow; 06-12-2008 at 05:37 PM.
 
Old 06-12-2008, 03:37 PM   #4
adilsiv
LQ Newbie
 
Registered: Jun 2008
Posts: 14

Original Poster
Rep: Reputation: 0
I don't know how to find it I am very new to Linux?
I have downloaded the 30-day evaluation version of RHEL-5(5cd's) and installed it.
I think i have downloaded the X_86 Version(32 bit).
I am not sure ,how can I find it ?

thanks
Siv
 
Old 06-12-2008, 04:16 PM   #5
sycamorex
LQ Veteran
 
Registered: Nov 2005
Location: London
Distribution: Slackware64-current
Posts: 5,561
Blog Entries: 1

Rep: Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023
Have you gone over your 30 days? If so, change the repositories to Centos
 
Old 06-12-2008, 04:37 PM   #6
adilsiv
LQ Newbie
 
Registered: Jun 2008
Posts: 14

Original Poster
Rep: Reputation: 0
No. I have installed it on 06/09/2008(3 days ago) and end date is 07/09/2008.
I think the date and time works in US-T.
 
Old 06-12-2008, 04:55 PM   #7
sycamorex
LQ Veteran
 
Registered: Nov 2005
Location: London
Distribution: Slackware64-current
Posts: 5,561
Blog Entries: 1

Rep: Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023
what about the command line as root:
Quote:
yum update
you can also show us your repositories
 
Old 06-12-2008, 04:57 PM   #8
adilsiv
LQ Newbie
 
Registered: Jun 2008
Posts: 14

Original Poster
Rep: Reputation: 0
another thing which i noticed about the O.S is I don't have Red Hat Network in Applications->System tools.

I can't even run up2date command from root,saying command not found.
Any idea what might I done wrong while installing the O.S?
 
Old 06-12-2008, 05:01 PM   #9
adilsiv
LQ Newbie
 
Registered: Jun 2008
Posts: 14

Original Poster
Rep: Reputation: 0
yum update

[root@xyzz-01-13-84-35-c5-a1 ~]# yum update
Loading "rhnplugin" plugin
Loading "security" plugin
Traceback (most recent call last):
File "/usr/bin/yum", line 29, in ?
yummain.main(sys.argv[1:])
File "/usr/share/yum-cli/yummain.py", line 85, in main
base.getOptionsConfig(args)
File "/usr/share/yum-cli/cli.py", line 163, in getOptionsConfig
disabled_plugins=self.optparser._splitArg(opts.disableplugins))
File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 183, in _getConfig
self.plugins.run('init')
File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 169, in run
func(conduitcls(self, self.base, conf, **kwargs))
File "/usr/lib/yum-plugins/rhnplugin.py", line 109, in init_hook
login_info = up2dateAuth.getLoginInfo()
File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 211, in getLoginInfo
login()
File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 162, in login
server = rhnserver.RhnServer()
File "/usr/share/rhn/up2date_client/rhnserver.py", line 147, in __init__
self._server = rpcServer.getServer()
File "/usr/share/rhn/up2date_client/rpcServer.py", line 168, in getServer
raise up2dateErrors.SSLCertificateFileNotFound(msg)
up2date_client.up2dateErrors.SSLCertificateFileNotFound: ERROR: can not find RHNS CA file: /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT
 
Old 06-12-2008, 05:13 PM   #10
sycamorex
LQ Veteran
 
Registered: Nov 2005
Location: London
Distribution: Slackware64-current
Posts: 5,561
Blog Entries: 1

Rep: Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023
Can you show us the content of the repo in /etc/yum.repos.d/

Quote:
another thing which i noticed about the O.S is I don't have Red Hat Network in Applications->System tools.
I have a 30-day version of RHEL5.1 as well, and don't have RedHatNetwork in Applications > system tools either.

ps. have you registered your system with RHN?

Last edited by sycamorex; 06-12-2008 at 05:15 PM.
 
Old 06-12-2008, 05:43 PM   #11
lazlow
Senior Member
 
Registered: Jan 2006
Posts: 4,362

Rep: Reputation: 171Reputation: 171
Starting with RHEL5 up2date was dropped in favor of yum.

From the information you posted you are running RHEL5 32bit. If you post the results of:

Quote:
cat /etc/redhat-release
and the results of:

Quote:
uname -a
We will know for sure.

Since you are evaluating I would contact RH for some assistance. If you are running through a proxy there will be some changes that will need to be made.
 
Old 06-14-2008, 03:09 AM   #12
adilsiv
LQ Newbie
 
Registered: Jun 2008
Posts: 14

Original Poster
Rep: Reputation: 0
yum.repos.d contains

---------/etc/yum.repos.d/rhel-debuginfo.repo-----------

[rhel-debuginfo]
name=Red Hat Enterprise Linux $releasever - $basearch - Debug
baseurl=ftp://ftp.redhat.com/pub/redhat/linux/enterprise/$releasever/en/os/$basearch/Debuginfo/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release

PS:I DON'T KNOW HOW TO REGISTER THE SYSTEM IN RHN?

Last edited by adilsiv; 06-14-2008 at 03:43 AM.
 
Old 06-14-2008, 03:12 AM   #13
adilsiv
LQ Newbie
 
Registered: Jun 2008
Posts: 14

Original Poster
Rep: Reputation: 0
uname -a

----------uname -a---------------------------------------------------

Linux unknown-00-13-8f-25-c5-e1.home 2.6.18-92.el5xen #1 SMP Tue Apr 29 13:45:57 EDT 2008 i686 athlon i386 GNU/Linux
 
Old 06-14-2008, 06:11 AM   #14
sycamorex
LQ Veteran
 
Registered: Nov 2005
Location: London
Distribution: Slackware64-current
Posts: 5,561
Blog Entries: 1

Rep: Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023Reputation: 1023
Quote:
PS:I DON'T KNOW HOW TO REGISTER THE SYSTEM IN RHN?
http://www.redhat.com/rhn/rhndetails/faq/#2
 
Old 06-15-2008, 03:55 AM   #15
adilsiv
LQ Newbie
 
Registered: Jun 2008
Posts: 14

Original Poster
Rep: Reputation: 0
Can't Register following the steps in the URL

Hi,

I can't follow the steps in the link to get my system activated.
whenever i am trying to enter the installation number,I am getting a message "The entered subscription number can only be used by the installer".So I can't go further to finish the registration.

thanking you,
Siv
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Simple Package management with Synaptic Package Manager LXer Syndicated Linux News 0 12-05-2006 06:33 PM
latex2e package unavailable in package manager or apt-get cesine Debian 2 07-11-2006 02:31 PM
Poll: Yast Package Manager vs. Smart Package Manager in 10.1 agentchange Suse/Novell 6 06-02-2006 08:29 AM
synaptic package manager forcing me to delete a broken package mbman Linux - Software 6 04-25-2006 09:30 AM
package manager not working glennp Linux - Newbie 5 01-03-2003 09:39 AM


All times are GMT -5. The time now is 01:30 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration